1.1

1.1

get /v1/groups

Description

get groups list

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryinstance_id
required
인스턴스 ID
Example : ssoins-12345
stringNone
queryname
optional
그룹 이름
Example : Admin_Group
any of [string, null]None
queryexcluded_user_uuid
optional
사용자 ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
any of [string, null]None
queryexcluded_account_id
optional
Account ID
Example : 1234ab567cd64769e8f9g490hi304891
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGroupPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/groups?instance_id={instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = iam-identity-center 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "groups": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "creator_name": "John Doe",
            "description": "Group for administrators",
            "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
            "instance_id": "ssoins-12345",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "modifier_name": "Smith",
            "name": "Admin_Group",
            "user_count": 1,
            "users": [
                {
                    "id": "6fdd2a6d-6f4f-4157-8259-5d55e7dd1269",
                    "name": "John Doe",
                    "user_id": "johndoe"
                }
            ]
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}